.scrolling-section {
    background-color: black;
    min-height: 400px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    padding: 40px 20px;
}

.carousel-wrapper {
    display: flex;
    align-items: center;
    font-size: 30px;
    line-height: 50px;
    font-family: 'Open Sans', sans-serif;
}

.static-text {
    margin: 0 20px;
    color: #fff;
}

.scrolling-container {
    position: relative;
    width: 260px;
    height: 50px;
    overflow: hidden;
}

.line {
    font-size: 40px;
    color: rgba(247, 116, 49, 1);
    letter-spacing: 2px;
    position: absolute;
    font-weight: 900;
    opacity: 0;
}

.footer-text {
    position: absolute;
    bottom: 20px;
    font-family: 'Open Sans', sans-serif;
    font-style: italic;
    color: white;
    font-size: 1rem;
}

/* Responsive Design */
@media (max-width: 768px) {
    .carousel-wrapper {
        font-size: 30px;
        line-height: 40px;
        flex-direction: column;
    }

    .scrolling-container {
        width: 200px;
        height: 40px;
    }

    .line {
        font-size: 32px;
        letter-spacing: 1px;
    }

    .static-text {
        font-size: 30px;
    }
}

@media (max-width: 480px) {
    .carousel-wrapper {
        font-size: 30px;
        line-height: 30px;
        align-items: left;
        text-align: left;
        display: flex;
    }

    .scrolling-container {
        width: 200px;
        height: 30px;
    }

    .line {
        font-size: 30px;
        letter-spacing: 0.5px;
    }

    .static-text {
        font-size: 20px;
        align-items: left;
        text-align: left;
    }

    .footer-text {
        font-size: 0.8rem;
        bottom: 30px;
    }
}